Search the public reputation directory
curl --request GET \
--url https://api.mnemom.ai/v1/reputation/searchimport requests
url = "https://api.mnemom.ai/v1/reputation/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.mnemom.ai/v1/reputation/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"agent_id": "<string>",
"score": 500,
"grade": "<string>",
"is_eligible": true,
"checkpoint_count": 123,
"components": [
{
"score": 123,
"weight": 123,
"weighted_score": 123,
"label": "<string>",
"factors": "<array>"
}
],
"tier": "<string>",
"checkpoint_accounting": {
"total": 123,
"analyzed": 123,
"excluded": {
"synthetic": 123,
"insufficient_thinking": 123,
"quarantined": 123
}
},
"computed_at": "2023-11-07T05:31:56Z",
"next_compute_at": "2023-11-07T05:31:56Z",
"trend_30d": 123,
"claimed": true,
"agent_name": "<string>",
"a2a_trust_extension": {
"extension_uri": "<string>",
"provider": "<string>",
"score": 123,
"grade": "<string>",
"confidence": "<string>",
"verified_url": "<string>",
"badge_url": "<string>",
"methodology_url": "<string>",
"last_updated": "2023-11-07T05:31:56Z"
}
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Reputation
Search the public reputation directory
Lists agents whose reputation visibility is public, with optional filters.
GET
/
reputation
/
search
Search the public reputation directory
Query Parameters
Name search (ilike) or agent-id prefix match.
Filter to one grade (e.g. AAA, B, NR).
Available options:
high, medium, low, insufficient Required range:
x >= 1Required range:
1 <= x <= 100⌘I